Package com.xebialabs.xlrelease.domain.distributed.events

# Class DistributedSendSSEEvent$

java.lang.Object
scala.runtime.AbstractFunction3<String,String,String,DistributedSendSSEEvent>
com.xebialabs.xlrelease.domain.distributed.events.DistributedSendSSEEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<String,String,String,DistributedSendSSEEvent>`

public class DistributedSendSSEEvent$ extends scala.runtime.AbstractFunction3<String,String,String,DistributedSendSSEEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DistributedSendSSEEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistributedSendSSEEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DistributedSendSSEEvent`
  `apply(String topic, String eventName, String payload)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<String,String,String>>`
  `unapply(DistributedSendSSEEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final DistributedSendSSEEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### DistributedSendSSEEvent$

    public DistributedSendSSEEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<String,String,String,DistributedSendSSEEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<String,String,String,DistributedSendSSEEvent>`

  - ### apply

    public DistributedSendSSEEvent apply(String topic, String eventName, String payload)
    Specified by:
      `apply` in interface `scala.Function3<String,String,String,DistributedSendSSEEvent>`

  - ### unapply

    public scala.Option<scala.Tuple3<String,String,String>> unapply(DistributedSendSSEEvent x$0)